GroovyScriptCommandFactory (Grails 3.2.3)
Date: 2016-11-10

Package: org.grails.cli.profile.commands.factory

## [Groovy] Class GroovyScriptCommandFactory

- org.grails.cli.profile.commands.factory.GroovyScriptCommandFactory

- A CommandFactory that creates Command instances from Groovy scripts

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.lang.String` | `fileNamePattern`
    `java.util.Collection<java.lang.String>` | `matchingFileExtensions`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected Command` | `createCommand(Profile profile, java.lang.String commandName, Resource resource, GroovyScriptCommand data)`
    `static groovy.lang.GroovyClassLoader` | `createGroovyScriptCommandClassLoader()`
    `protected java.lang.String` | `evaluateFileName(java.lang.String fileName)`
    `protected GroovyScriptCommand` | `readCommandFile(Resource resource)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ResourceResolvingCommandFactory` | `createCommand, evaluateFileName, findCommandResources, findCommands, getCommandResolvers, getMatchingFileExtensions, readCommandFile`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### final java.lang.String fileNamePattern

    - #### final java.util.Collection<java.lang.String> matchingFileExtensions

  - ### Method Detail

    - #### @java.lang.Override protected Command createCommand(Profile profile, java.lang.String commandName, Resource resource, GroovyScriptCommand data)

    - #### @groovy.transform.CompileDynamic static groovy.lang.GroovyClassLoader createGroovyScriptCommandClassLoader()

    - #### @java.lang.Override protected java.lang.String evaluateFileName(java.lang.String fileName)

    - #### @java.lang.Override protected GroovyScriptCommand readCommandFile(Resource resource)